Bug 458164 - Cannot install xen PV rawhide guest on f8
Cannot install xen PV rawhide guest on f8
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
: Reopened
: 461674 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 16:12 EDT by Orion Poplawski
Modified: 2008-12-08 08:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 08:03:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-08-06 16:12:38 EDT
Description of problem:

Trying to install xen rawhide guest on F8 system:

virt-install -n xenfdev64 -r 300 --vcpus=2 -f /export/data1/xen_disk_xenfdev64 -m 40:00:00:00:00:03 --nographics --accelerate -p -x 'ks=http://sw.cora.nwra.com/ks/rawhide-nox64.cfg nokill' --arch=x86_64 -l http://fedora.cora.nwra.com/fedora/linux/development/x86_64/os
How large would you like the disk (/export/data1/xen_disk_xenfdev64) to be (in gigabytes)? 10


Starting install...
libvir: Xen Daemon error : GET operation failed: xend_get: error from xen daemon:
Retrieving file .treeinfo...                                       |  885 B     00:00
Retrieving file vmlinuz...                                         |  256 B     00:00
Retrieving file initrd.img...                                      |  259 B     00:00

I believe the problem is that we no longer have "xen" boot images in rawhide (and so F10+).

Version-Release number of selected component (if applicable):
python-virtinst-0.300.2-4.fc8
Comment 1 Daniel Berrange 2008-08-07 04:40:26 EDT
The .treeinfo file in the install trees needs to have an entry for Xen which points to the regular kernels now. In addition i386 needs to include install images for PAE enabled kernels. 

Re-assigning to markmc since he was looking at this. If the .treeinfo file is correctly updated, then no change should be required in virt-install - since this was the whole point of using .treeinfo files in the first place !
Comment 2 Mark McLoughlin 2008-08-07 05:29:03 EDT

*** This bug has been marked as a duplicate of bug 456559 ***
Comment 3 Orion Poplawski 2008-08-11 18:29:32 EDT
The .treeinfo file has been updated, but virt-install still tries to download the images/xen files.
Comment 4 Daniel Berrange 2008-08-12 05:31:02 EDT
Do not re-open bugs which have been marked duplicates. Post follow-up comments in the bug this was marked a duplicate of.

*** This bug has been marked as a duplicate of bug 456559 ***
Comment 5 Mark McLoughlin 2008-08-12 06:16:15 EDT
Hmm, no - re-opening this bug would be right in this case; bug #456559 is the anaconda bug, but rawhide x86_64 .treeinfo now contains:

  [images-xen]
  initrd = images/pxeboot/initrd.img
  kernel = images/pxeboot/vmlinuz

but according to Orion, virt-install is still downloading from images/xen ... and this bug is against virt-install

Note, this is F8 - it looks like F8 doesn't have the treeinfo parsing code
Comment 6 Mark McLoughlin 2008-08-21 11:23:04 EDT
Re-assigning to Cole since he has patches
Comment 7 Orion Poplawski 2008-08-28 11:09:51 EDT
What's the status here?  I also have moved my xen dom0 machine to CentOS 5 - am I hosed or can I install a new version of python-virtinst there to allow install of rawhide?  I tried hacking OSDistro.py to just download the pxeboot images, but that doesn't seem to be good enough:

Retrieving file initrd.im 100% |=========================| 5.4 MB    00:00
virDomainCreateLinux() failed POST operation failed: (xend.err "Error creating domain: (2, 'Invalid kernel', 'xc_dom_find_loader: no loader found\\n')")

Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 502, in ?
    main()
  File "/usr/sbin/virt-install", line 462, in main
    dom = guest.start_install(conscb,progresscb)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 813, in start_install
    return self._do_install(consolecb, meter)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 834, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.4/site-packages/libvirt.py", line 573, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: virDomainCreateLinux() failed POST operation failed: (xend.err "Error creating domain: (2, 'Invalid kernel', 'xc_dom_find_loader: no loader found\\n')")
Comment 8 Cole Robinson 2008-08-28 15:47:27 EDT
I've filed a bug against RHEL 5.2, so that for the 5.3 update release we can install fedora 10 xen guests:

https://bugzilla.redhat.com/show_bug.cgi?id=460585

You are right, f8 doesn't have the treeinfo parsing code. We will be releasing a new virtinst around the time of the F10 beta freeze (slated for Sep. 9th). I'll see if it is feasible to rebase to the new version for f8, and if not, I'll backport the treeinfo parsing.

The virtinst version in F8 is 0.300.2, but the latest release is 0.300.3 which should fix this issue. In the interim, you can pull down that release from virt-manager.org and try that out, I assume it should work on f8.
Comment 9 Daniel Berrange 2008-08-28 15:52:17 EDT
Yep, backporting the treeinfo code to F8 would be a really good idea. As you say, 1 month after f10 comes out, F8 will cease to get updates. So adding treeinfo code to F8 will future proof virt-install in F8 in case people continue using it beyond official end-of-life period.
Comment 10 Cole Robinson 2008-09-09 16:49:57 EDT
*** Bug 461674 has been marked as a duplicate of this bug. ***
Comment 11 Orion Poplawski 2008-10-27 13:41:58 EDT
Any chance of this happening?  I seem to be completely unable to install xen rawhide guests on either Fedora 8 or CentOS 5.2.
Comment 12 Cole Robinson 2008-10-27 13:58:39 EDT
Yes, sorry. I'm not sure if we should just backport the necessary code or if it's safe to update virtinst in F8 to the latest version. I'll do one or the other by the end of the week.

Also, I'll build test packages for rhel5.2 virtinst and xen and put them on my fedorapeople page tomorrow (I'll post a link when it's done).
Comment 13 Cole Robinson 2008-10-29 10:40:15 EDT
FYI, I've posted some RHEL packages that you can test with this issue. These are completely unsupported, fwiw.

http://fedorapeople.org/~crobinso/rhel5/install_f10/
Comment 14 Orion Poplawski 2008-10-29 17:29:10 EDT
(In reply to comment #13)
> FYI, I've posted some RHEL packages that you can test with this issue. These
> are completely unsupported, fwiw.
> 
> http://fedorapeople.org/~crobinso/rhel5/install_f10/

These work great for rawhide.  Thanks!  I do have trouble installing CentOS 5, which I'm happy to report else where if desired:

DistroManager.py", line 231, in _prepare_kernel_and_initrd
    arch = arch)
  File "/usr/lib/python2.4/site-packages/virtinst/DistroManager.py", line 126, in acquireKernel
    raise ValueError, _("Invalid install location: ") + str(e)
ValueError: Invalid install location: Opening URL http://centos.cora.nwra.com/5/os/i386/ failed.

My server doesn't serve directories, so the url fails.  But this seem seems unnecessary.  Why not just go ahead and download the kernel first and complain if that fails?  With fedora development it tries to download the directory as well, but doesn't seem to care that it fails.
Comment 15 Orion Poplawski 2008-10-29 17:33:43 EDT
Sorry, that really is a separate problem.  It's looking for "centosdocs-man.css" which doesn't exist on my CentOS 5.2 mirror.
Comment 16 Cole Robinson 2008-10-30 09:21:21 EDT
Yeah that's a known issue. Our distro detection is less than ideal. F10 handles this situation better: if the tree doesn't have the files in our whitelist, we probe the tree for known install locations and see if that works.
Comment 17 Fedora Update System 2008-11-25 14:41:11 EST
python-virtinst-0.300.2-5.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/python-virtinst-0.300.2-5.fc8
Comment 18 Fedora Update System 2008-11-26 01:24:15 EST
python-virtinst-0.300.2-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update python-virtinst'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-10394
Comment 19 Bug Zapper 2008-11-26 06:04:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Fedora Update System 2008-12-08 08:03:46 EST
python-virtinst-0.300.2-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.